settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

onEvent('recipes', event => {
event.remove({output: 'waterstrainer:strainer_base'})
event.remove({output: 'waterstrainer:strainer_survivalist'})
event.remove({output: 'waterstrainer:strainer_survivalist_solid'})
event.remove({output: 'waterstrainer:strainer_survivalist_reinforced'})

event.shaped('waterstrainer:strainer_base', [
    'S S',
    'lHl',
    'lcl'
  ], {
    c: '#forge:chests/wooden',
    H: 'minecraft:hopper',
    l: '#minecraft:logs',
    S: '#exnihilosequentia:sieves'
  })

  event.shaped('waterstrainer:strainer_base', [
    'S S',
    'lHl',
    'lcl'
  ], {
    c: '#forge:chests/wooden',
    H: 'brickhopper:brick_hopper',
    l: '#minecraft:logs',
    S: '#exnihilosequentia:sieves'
  })

  event.shaped('waterstrainer:strainer_survivalist', [
    'SSS',
    'SMS',
    'SSS'
  ], {
    M: 'exnihilosequentia:mesh_string',
    S: 'mcwfurnitures:oak_plate'
  })

  event.shaped('waterstrainer:strainer_survivalist_solid', [
    'SSS',
    'SMS',
    'SSS'
  ], {
    M: 'waterstrainer:strainer_survivalist',
    S: '#forge:ingots/steel'
  })

  event.shaped('waterstrainer:strainer_survivalist_reinforced', [
    'SOS',
    'OMO',
    'SOS'
  ], {
    M: 'waterstrainer:strainer_survivalist_solid',
    S: '#forge:ingots/manasteel',
    O: 'tconstruct:obsidian_pane'
  })


})